com.ihr.xbrl.om.formula

## Class XBRLFilterUse

- java.lang.Object
- - com.ihr.xbrl.om.formula.XBRLFilterUse

- All Implemented Interfaces:
    java.lang.Comparable<XBRLFilterUse>

      public class XBRLFilterUse
      extends java.lang.Object
      implements java.lang.Comparable<XBRLFilterUse>

  The Class XBRLFilterUse.

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `compareTo(XBRLFilterUse o)`
    `static XBRLFilterUse` | `createFilterUse(XBRLFormulaProcessor proc, XBRLRelationship rel, XBRLFormulaFilter filter)` Factory method.
    `int` | `getAspect()` Gets the aspect.
    `XBRLFormulaFilter` | `getFilter()` Gets the filter.
    `boolean` | `isComplement()` Checks if is complement.
    `boolean` | `isCover()` Checks if is cover.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### createFilterUse

          public static XBRLFilterUse createFilterUse(XBRLFormulaProcessor proc,
                                      XBRLRelationship rel,
                                      XBRLFormulaFilter filter)

      Factory method.
      Parameters:
        `proc` - the proc
        `rel` - the rel
        `filter` - the filter
      Returns:
        the XBRL filter use

    - #### getFilter

          public XBRLFormulaFilter getFilter()

      Gets the filter.
      Returns:
        the filter

    - #### getAspect

          public int getAspect()

      Gets the aspect.
      Returns:
        the aspect

    - #### isCover

          public boolean isCover()

      Checks if is cover.
      Returns:
        the cover

    - #### isComplement

          public boolean isComplement()

      Checks if is complement.
      Returns:
        the complement

    - #### compareTo

          public int compareTo(XBRLFilterUse o)

      Specified by:
        `compareTo` in interface `java.lang.Comparable<XBRLFilterUse>`